Bug 29168 - не работают выключение/перезагрузка
: не работают выключение/перезагрузка
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/e17)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: regression
: 28823
:
  Show dependency tree
 
Reported: 2013-07-09 19:31 by
Modified: 2013-11-29 13:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-07-09 19:31:59
+++ This bug was initially created as a clone of Bug #28823 +++

После исправления bug 28823, а точнее, по состоянию на 20130508, было замечено,
что выключение всё так же не работает -- см.
http://nightly.altlinux.org/sisyphus/flavours/e17/ (для воспроизведения
достаточно загрузить LiveCD в виртуальной машине, в установленном аналогично).

Диагностика схожая:

Jul 09 19:23:33 comp-xeon-cpu-1d1046 dbus-daemon[1200]: dbus[1200]: [system]
Rejected send message, 2 matched rules; type="method_call", sender=":1.17"
(uid=500 pid=2731 comm="systemctl halt ")
interface="org.freedesktop.systemd1.Manager" member="StartUnit" error
name="(unset)" requested_reply="0" destination="org.freedesktop.systemd1"
(uid=0 pid=1 comm="/sbin/init failsafe splash ")

и для попытки перезагрузки:

Jul 09 19:09:41 comp-xeon-cpu-1d1046 dbus-daemon[1220]: dbus[1220]: [system]
Rejected send message, 2 matched rules; type="method_call", sender=":1.18"
(uid=500 pid=2805 comm="systemctl reboot ")
interface="org.freedesktop.systemd1.Manager" member="StartUnit" error
name="(unset)" requested_reply="0" destination="org.freedesktop.systemd1"
(uid=0 pid=1 comm="/sbin/init failsafe splash ")
Jul 09 19:09:41 comp-xeon-cpu-1d1046 dbus[1220]: [system] Rejected send
message, 2 matched rules; type="method_call", sender=":1.18" (uid=500 pid=2805
comm="systemctl reboot ") interface="org.freedesktop.systemd1.Manager"
member="StartUnit" error name="(unset)" requested_reply="0"
destination="org.freedesktop.systemd1" (uid=0 pid=1 comm="/sbin/init failsafe
splash ")
------- Comment #1 From 2013-07-10 15:55:39 -------
PS: проверил на 20130710 (сейчас ещё в процессе сборки по причине недоступности
ftp с утра, через несколько часов должны быть на месте) -- перезагрузка
работает и на livecd, и на установленной системе; такое мне припоминалось и
раньше, но вчера пронаблюдал и зафиксировал неработу и перезагрузки. 
Закономерность не выяснил.
------- Comment #2 From 2013-07-31 11:48:46 -------
При сегодняшней проверке regular-e17-20130731-i586.iso пронаблюдал штатную
перезагрузку и из livecd, и из установленной системы; при этом последующая
попытка установленную систему выключить привела к воспроизведению баги с той же
диагностикой.
------- Comment #3 From 2013-08-08 21:12:33 -------
Юр, что делать будем?  Не хотелось бы выпускать обновление соответствующего
starterkit с этим багом в ближайшие недели...
------- Comment #4 From 2013-08-28 18:13:14 -------
ping
------- Comment #5 From 2013-08-28 18:29:22 -------
В e17-0.17.4-alt1 выключение должно работать.
------- Comment #6 From 2013-08-29 14:59:36 -------
Спасибо, так и есть (проверил в составе regular-e17-20130828-i586.iso).

* Fri Aug 23 2013 Yuri N. Sedunov <aris@altlinux> 1:0.17.4-alt1
- 0.17.4
- sysactions.conf: 's/halt/poweroff/'
------- Comment #7 From 2013-08-30 12:47:53 -------
Спасибо!
------- Comment #8 From 2013-11-29 13:30:51 -------
Пожалуй, стоит переложить в p7/branch.